Page MenuHomePhabricator

PHP Warning: Invalid argument supplied for foreach() in LiquidThreads/classes/Hooks.php on line 944
Closed, ResolvedPublic

Description

Some change in core in last two days causes
[17-Apr-2015 19:19:30 UTC] PHP Warning: Invalid argument supplied for foreach() in /srv/mediawiki/tags/2015-04-17_09:24:02/extensions/LiquidThreads/classes/Hooks.php on line 944

That line belongs to onAPIQueryAfterExecute.

Event Timeline

Nikerabbit raised the priority of this task from to Needs Triage.
Nikerabbit updated the task description. (Show Details)
Nikerabbit added a subscriber: Nikerabbit.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 17 2015, 7:26 PM

Change 204930 had a related patch set uploaded (by Anomie):
Add missing 'return'

https://gerrit.wikimedia.org/r/204930

Change 204930 merged by jenkins-bot:
Add missing 'return'

https://gerrit.wikimedia.org/r/204930

Nikerabbit closed this task as Resolved.Apr 18 2015, 11:16 AM
Nikerabbit assigned this task to Anomie.
Nikerabbit removed a project: Patch-For-Review.
Nikerabbit set Security to None.

Change 205709 had a related patch set uploaded (by Legoktm):
Add missing 'return'

https://gerrit.wikimedia.org/r/205709

Change 205709 merged by jenkins-bot:
Add missing 'return'

https://gerrit.wikimedia.org/r/205709